Robotics Service Bus - Bug #2147
rsb-java build fails after version jump to 0.12
01/02/2015 01:43 PM - R. Haschke

Status: Rejected Start date: 01/02/2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

building master still refers to rsbprotocol0.11:

Cloning repository https://code.cor-lab.org/git/rsb.git.java

> git init /media/local/jenkins/jobs/rsb-java-master-toolkit-Isp-famula-nightly/workspace/label/master # timeout=10
Fetching upstream changes from https://code.cor-lab.org/git/rsb.git.java

> git --version # timeout=10

> git fetch --tags --progress https://code.cor-lab.org/git/rsb.qgit.java +refs/heads/*:refs/remotes/origin/*
> git config remote.origin.url https://code.cor-lab.org/git/rsb.git.java # timeout=10

> git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10

> git config remote.origin.url https://code.cor-lab.org/git/rsb.qgit.java # timeout=10

Fetching upstream changes from https://code.cor-lab.org/git/rsb.git.java

> git fetch --tags --progress https://code.cor-lab.org/git/rsb.qgit.java +refs/heads/*:refs/remotes/origin/*
Checking out Revision 64cee3c8ff08088312dealal755cdbal14d49f57d (origin/master)

Downloaded: http://repo.maven.apache.org/maven2/com/google/protobuf/protobuf-java/maven-metadata.xml (619 B at 1.3
KB/sec)

[INFO]

[INFQ] --- maven-enforcer-plugin:1.3:enforce (enforce-external-dependencies) @ rsb ---
[INFO]

[INFO] BUILD FAILURE

[INFO]

[INFO] Total time: 3.255s

[INFO] Finished at: Fri Jan 02 13:26:30 CET 2015
[INFO] Final Memory: 12M/481M

[INFO]
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:1.3:enforce

(enforce-external-dependencies) on project rsb: org.apache.maven.plugins.enforcer.RequireFilesExist failed with message:
[ERROR] RSB protocol property

[ERROR] pbuf.protopath does not point to

[ERROR] a valid installation of

[ERROR] RSBProtocol at

[ERROR] '/vol/famula/nightly//share/rsbprotocol0.11'

[ERROR] Some required files are missing:

[ERROR] /vol/famula/nightly/share/rsbprotocol0.11/rsb/protocol/Naotification.proto

[ERROR] -> [Help 1]

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please read the following articles:

04/28/2024 12




[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
Build step 'Invoke top-level Maven targets' marked build as failure

Skipping publisher since build result is FAILURE

Finished: FAILURE

History

#1 - 01/02/2015 01:55 PM - J. Wienke
- Status changed from New to Rejected

You need to use a 0.12 protocol with any rsb implementation in version 0.12.

#2 - 01/02/2015 02:02 PM - J. Wienke
- Description updated

| just see that you do this in the build generator context. There, the project definitions needs to be updated. But this an issue for the respective tracker

of the toolkit: http://opensource.cit-ec.de/projects/citk/issues

#3 - 01/02/2015 02:03 PM - J. Wienke
- Description updated
